Sign up and get started with Confidence today! Create your account
Sign up and get started with Confidence today! Create your account
Get a specific variant of the given flag.
curl --request GET \
--url https://flags.eu.confidence.dev/v1/flags/{flag}/variants/{variant} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Returns a Flag.Variant.
A possible named value the flag can assign.
The resource name of the variant.
For example:
flags/my-flag/variants/control
The value that this variant represents. A possibly nested json object.
Time when the flag was first created.
Time when the flag was last updated.
Reference to the identity that created this variant.
Reference to the identity that last updated this variant.
General set of labels for this resource.
Show child attributes
A human-friendly description of the variant.
An image URL or path for the variant.
Was this page helpful?
curl --request GET \
--url https://flags.eu.confidence.dev/v1/flags/{flag}/variants/{variant} \
--header 'Authorization: Bearer <token>'{
"name": "<string>",
"value": {},
"createTime": {},
"updateTime": {},
"creator": "<string>",
"updater": "<string>",
"labels": [
{}
],
"description": "<string>",
"imageUri": "<string>"
}